<?php

namespace EventPortal\Domain\Agenda\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Pathway extends Model
{
    const KEY = 'pathway';

    /** @var array */
    protected $guarded = [];

    public static function createForAgenda(Agenda $agenda, string $name, string $description): Pathway
    {
        return Pathway::create([
            'agenda_id' => $agenda ->id,
            'name' => $name,
            'description' => $description,
        ]);
    }

    public function sessions(): HasMany
    {
        return $this->hasMany(Session::class);
    }

    public function agenda(): BelongsTo
    {
        return $this->belongsTo(Agenda::class);
    }
}
